[ubuntu-us-mi] Greasemonkey: could not launch editor.

Robert Citek robert.citek at gmail.com
Fri Oct 23 20:58:56 BST 2009


I couldn't figure out how to put an incomplete bug report in
Launchpad, so I'll post here and then move it to Launchpad later.

Having an issue with Greasemonkey (GM) and Firefox.  When I want to
edit a user script (Tools > Greasemonkey > Manage User Scripts ... >
Edit ), GM asks for an editor.  When I specify /usr/bin/gedit, GM
returns with this error:

Could not launch editor.
[Exception... "Could not convert JavaScript argument arg 0
[nsIMIMEInfo.preferredApplicationHandler]"  nsresult: "0x80570009
(NS_ERROR_XPC_BAD_CONVERT_JS)"  location: "JS frame ::
chrome://greasemonkey/content/utils.js :: launchApplicationWithDoc ::
line 189"  data: no]

$ dpkg -l | tr -s ' ' '\t' | cut -f 2,3 | grep -iw ^firefox
firefox-3.0	3.0.14+build2+nobinonly-0ubuntu0.8.04.1
firefox-greasemonkey	0.8.20080119.0-0ubuntu1

Regards,
- Robert



More information about the ubuntu-us-mi mailing list